# Featured Methods

    acf:        Auto-correlation or auto-covariance of univariate series. 
    ar:         Multivariate Autoregressive Model.
    arsim:      Simulated Multivariate Autoregressive Model.
    ccf:        Cross-correlation or cros-covariance of two univariate series.
    d:          Lagged differences of a given order for Vector and Array
    forecast:   Forecast values of fitted time series models.
    hma:        Henderson moving average filter.
    loess:      Locally estimated scatterplot smoothing.
    p:          Reverse lagged differences of a given order for types Vector and Array.
    pacf:       Partial Auto-correlation function.
    sma:        Simple moving average.
    splot:      Plot a seasonal plot for types Vector and TimeArray.
    stl:        Seasonal and Trend decomposition using loess.
    summarize:  Statistical summary.


## acf
**Auto-correlation/covariance function**
```@docs
acf
```

## ar
**Autoregressive model**
```@docs
ar
```

## arsim
**Autoregressive simulation**
```@docs
arsim
```

## boxcox
**Autoregressive simulation**
```@docs
boxcox
```

## ccf
**Cros-correlation/covariance function**
```@docs
ccf
```

## d
**Lagged differences of a given order**
```@docs
d
```

## forecast
**Forecast for models**
```@docs
forecast
```

## iboxcox
**Autoregressive simulation**
```@docs
iboxcox
```

## loess
**Locally Estimated Scatterplot Smoothing (LOESS)**
```@docs
loess
```

## p
**Inverse lagged differences of a given order**
```@docs
p
```

## splot
```@docs
splot
```

## stl
**Seasonal and Trend decomposition based on Loess**
```@docs
stl
```

## summarize
**Statistical summary**
```@docs
summarize
```




